# Visualization
TKV3d
StdSelect

# StdSelect_Prs Class Reference

allows entities owners to be hilighted
independantly from PresentableObjects

`#include <StdSelect_Prs.hxx>`

Inheritance diagram for StdSelect_Prs:

[legend]

## Public Member Functions

Standard_EXPORT | StdSelect_Prs (const Handle(Graphic3d_StructureManager)&aStructureManager)
const Handle_Graphic3d_StructureManager & | Manager () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_Graphic3d_StructureManager | myManager

## Constructor & Destructor Documentation

Standard_EXPORT StdSelect_Prs::StdSelect_Prs | ( | const Handle(Graphic3d_StructureManager)& | aStructureManager | ) |

## Member Function Documentation

Standard_EXPORT const StdSelect_Prs::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from Prs3d_Presentation.

const Handle_Graphic3d_StructureManager& StdSelect_Prs::Manager | ( |  | ) | const

## Field Documentation

Handle_Graphic3d_StructureManager StdSelect_Prs::myManager `[private]`

The documentation for this class was generated from the following file:

- StdSelect_Prs.hxx